b = 0
a = 0

counter = 0
while b == 0 do
pad = Controls.read()
	if a == 0 then
		pokemon[1].ATK = pokemon[1].ATK +2
		a = 1
	end	
	screen:blit(1,171,textbox)
	screen:print(55,190, pokemon[1].name.." used howl. "..pokemon[1].name.."'s attack ", blue)
	screen:print(55,210, "went up.", blue)
	counter = counter +1 
	if pad:r() and oldpad:r() ~= pad:r() and counter >= 15 then
		b = 1
		turn = 1
	end
screen.flip()
oldpad = pad
end